Summary:       Curses-like terminal wrapper, with colored strings
Name:          python-curtsies
Version:       0.2.11
Release:       1%{?dist}
License:       MIT
Group:         Development/Tools
URL:           https://github.com/thomasballinger/curtsies
Source0:       https://files.pythonhosted.org/packages/source/c/curtsies/curtsies-%{version}.tar.gz
BuildArch:     noarch
Requires:      python-blessings >= 1.5
Requires:      python2-wcwidth >= 0.1.4
BuildRequires: python-devel
BuildRequires: python-setuptools
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
Curtsies is curses-like terminal wrapper, can be to annotate portions
of strings with terminal colors and formatting.

Most terminals will display text in color if you use ANSI escape codes
- curtsies makes rendering such text to the terminal easy. Curtsies
assumes use of an VT-100 compatible terminal: unlike curses, it has no
compatibility layer for other types of terminals.

%package -n    python3-curtsies
Summary:       Curses-like terminal wrapper, with colored strings
Group:         Development/Tools
Requires:      python3-blessings >= 1.5
Requires:      python3-wcwidth >= 0.1.4

%description -n python3-curtsies
Curtsies is curses-like terminal wrapper, can be to annotate portions
of strings with terminal colors and formatting.

Most terminals will display text in color if you use ANSI escape codes
- curtsies makes rendering such text to the terminal easy. Curtsies
assumes use of an VT-100 compatible terminal: unlike curses, it has no
compatibility layer for other types of terminals.

%prep
%setup -q -n curtsies-%{version}

%build
%{py2_build}
%{py3_build}

%install
%{py2_install}
%{py3_install}

%files
%license LICENSE
%doc readme.md
%{python2_sitelib}/curtsies
%{python2_sitelib}/curtsies-*-py*.egg-info

%files -n python3-curtsies
%license LICENSE
%doc readme.md
%{python3_sitelib}/curtsies
%{python3_sitelib}/curtsies-*-py*.egg-info

%changelog
* Tue Oct 25 2016 Terje Rosten <terje.rosten@ntnu.no> - 0.2.11-1
- 0.2.11

* Tue Oct 11 2016 Terje Rosten <terje.rosten@ntnu.no> - 0.2.10-1
- 0.2.10

* Sun Sep 18 2016 Terje Rosten <terje.rosten@ntnu.no> - 0.2.9-1
- 0.2.9

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.6-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 17 2016 Terje Rosten <terje.rosten@ntnu.no> - 0.2.6-1
- 0.2.6

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.19-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 26 2015 Terje Rosten <terje.rosten@ntnu.no> - 0.1.19-1
- 0.1.19
- bpython needs < 0.2

* Tue Jan 13 2015 Terje Rosten <terje.rosten@ntnu.no> - 0.2.0-1
- 0.2.0

* Wed May 28 2014 Terje Rosten <terje.rosten@ntnu.no> - 0.0.32-1
- initial package
